# Role: postfix_exporter

## Description

Installs and configures postfix_exporter for Prometheus.

https://github.com/kumina/postfix_exporter

## Usage

Using in a playbook:

```yaml
- name: Play
  hosts:
    - all
  roles:
    - samuliy.ansible.postfix_exporter
  vars:
    ...
```

### Vars

`postfix_exporter_web_config`:

Web config for postfix_exporter, as dict.
Used for TLS config.

`postfix_exporter_environment_file`:

Environment file path for the service.

`postfix_exporter_environment_args`:

Args to set into the environment file.

`postfix_exporter_environment_args_key`:

Key to look for in the environment file.

`postfix_exporter_service_name`:

Service name.
